import request from '@/utils/request'
import Qs from 'qs'

// 课程管理列表查询
export function queryBLessonsByPagination(query) {
  return request({
    url: '/post/blesson/queryBLessonByPagination\n',
    method: 'get',
    params: query
  })
}
// 查询企业信息
export function findAllUnitInfo(query) {
  return request({
    url: '/sysunit/findAllUnitInfo',
    method: 'get',
    params: query
  })
}
// 查询岗位题库下面的公司集合
export function getEnterpriseListById(id) {
  return request({
    url: '/post/blesson/enterprise/' + id,
    method: 'get'
  })
}
export function drawerGetEnterpriseListById(params, id) {
  return request({
    url: '/post/blesson/enterprise/' + id,
    method: 'get',
    params: params
  })
}
// 课程管理查询详细信息
export function detailBLesson(businessId) {
  return request({
    url: '/blesson/detail/' + businessId,
    method: 'get'
  })
}
// 修改课程管理
export function updateBLesson(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/blesson/update/' + businessId,
    method: 'put',
    data
  })
}
// 课程管理目录查询
export function queryBChaptersWithoutAuth(query) {
  return request({
    url: '/bchapter/queryBChaptersWithoutAuth',
    method: 'get',
    params: query
  })
}
// 查询课程方向下拉
export function queryDirectionsList(query) {
  return request({
    url: '/bdirection/queryDirectionsList',
    method: 'get',
    params: query
  })
}
// 课程管理新增
export function blessonAdd(data) {
  data = Qs.stringify(data)
  return request({
    url: '/post/blesson/add',
    method: 'post',
    data,
    headers: {}
  })
}// 课程管理新增
export function blessonUpdate(data) {
  data = Qs.stringify(data)
  return request({
    url: '/post/blesson/update',
    method: 'post',
    data,
    headers: {}
  })
}
// 添加企业
export function addEnterprise(data) {
  data = Qs.stringify(data)
  return request({
    url: '/post/blesson/addEnterprise',
    method: 'post',
    data
  })
}
// 课程管理删除
export function blessonRemove(data) {
  return request({
    url: '/post/blesson/deleteLogical/' + data,
    method: 'DELETE'
  })
}// 课程管理删除
export function deleteEnterprise(data) {
  return request({
    url: `/post/blesson/deleteEnterprise/${data.id}/${data.busId}`,
    method: 'DELETE'
  })
}
// 课程管理导入
export function excelImport(data) {
  return request({
    url: '/blesson/excelImport',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
// 课程管理恢复封面
export function defaultUrl(data) {
  data = Qs.stringify(data)
  return request({
    url: '/blesson/defaultUrl',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理修改封面
export function picImport(data) {
  return request({
    url: '/blesson/picImport',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
// 课程管理-目录添加章
export function bchapterAdd(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bchapter/add',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-章节查询视频
export function findVideoUrl(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bfile/findVideoUrl',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-目录删除节
export function bchapterRemove(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bchapter/remove',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-目录章节上移
export function updateTopChapter(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bchapter/updateTopChapter',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-目录章节下移
export function updateDownChapter(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bchapter/updateDownChapter',
    method: 'post',
    data,
    headers: {}
  })
}
// 6.导入
export function uploadVideo(data) {
  return request({
    url: '/bfile/uploadVideo',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
// 上传压缩包
export function uploadZip(data) {
  return request({
    url: '/bfile/uploadData',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
// 课程管理-章节查询PDF信息
export function findPdfInfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bfile/findPdfInfo',
    method: 'post',
    data,
    headers: {}
  })
}
export function findZIpInfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bfile/findDataUrl',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-根据章id查询节
export function findSection(query) {
  return request({
    url: '/bchapter/querySections',
    method: 'get',
    params: query
  })
}
// 课程管理-章节查询PDF_url信息
export function findPdfUrl(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bfile/findPdfUrl ',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-视频/pdf删除
export function delData(query) {
  return request({
    url: '/bfile/deleteFile',
    method: 'delete',
    params: query
  })
}
export function delZip(query) {
  return request({
    url: '/bfile/deleteDataFile',
    method: 'delete',
    params: query
  })
}

// 课程管理  岗位分类查询
export function queryTeaLessonJobs(query) {
  return request({
    url: '/tealessonjob/queryTeaLessonJobs',
    method: 'get',
    params: query
  })
}

// 课程管理 技术分类查询
export function queryTeaLessonTecs(query) {
  return request({
    url: '/tealessontec/queryTeaLessonTec',
    method: 'get',
    params: query
  })
}
// 课程管理 修改状态
export function updateCourseStatus(data) {
  return request({
    url: `/post/blesson/updateStatus/${data.flag}/${data.businessId}`,
    method: 'put'
  })
}
// 下载zip文件
export function downloadZip(params) {
  return request({
    url: '/bfile/download/',
    method: 'post',
    params
  })
}

// 分页查询课程评分
export function queryPcLessonEvaluationByPagination(query) {
  return request({
    url: '/pclessonevaluation/evaluationList',
    method: 'get',
    params: query
  })
}
